# 63. Mutation : enregistrer une organisation

Mutation pour ajouter ou modifier l'« Organization ». L'« User » qui a envoyé la requête saveOrganization sera le propriétaire de l'« Organization ».

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Nom de l'Organization"
      surname: "Nom de famille du propriétaire"
      givenName: "Prénom du propriétaire"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nom
    nomDeFamille
    prénom
    email
    téléphone
    dateDeCréation
    updatedDate
  }
}
```

{% endcode %}

Pour modifier l'« Organization » existante, ajoutez l'attribut uuid à la requête.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Nouveau nom de l'organization"
      surname: "Nom de famille du propriétaire"
      givenName: "Prénom du propriétaire"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nom
    nomDeFamille
    prénom
    email
    téléphone
    dateDeCréation
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/63.-mutation-enregistrer-une-organisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
